Package org.apache.cxf.service.model

# Class ServiceSchemaInfo

java.lang.Object
org.apache.cxf.service.model.ServiceSchemaInfo

public class ServiceSchemaInfo extends Object
The ServiceInfo class has schema in two forms: the XmlSchema, in a SchemaCollection, and the DOM trees in the SchemaInfo objects. This class exists in order to allow the WSDL cache to store both.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceSchemaInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaCollection`
  `getSchemaCollection()`
  `Map<String,Element>`
  `getSchemaElementList()`
  `List<SchemaInfo>`
  `getSchemaInfoList()`
  `void`
  `setSchemaCollection(SchemaCollection schemaCollection)`
  `void`
  `setSchemaElementList(Map<String,Element> l)`
  `void`
  `setSchemaInfoList(List<SchemaInfo> schemaInfoList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceSchemaInfo

    public ServiceSchemaInfo()

- ## Method Details

  - ### getSchemaCollection

    public SchemaCollection getSchemaCollection()

  - ### setSchemaCollection

    public void setSchemaCollection(SchemaCollection schemaCollection)

  - ### getSchemaInfoList

    public List<SchemaInfo> getSchemaInfoList()

  - ### setSchemaInfoList

    public void setSchemaInfoList(List<SchemaInfo> schemaInfoList)

  - ### getSchemaElementList

    public Map<String,Element> getSchemaElementList()

  - ### setSchemaElementList

    public void setSchemaElementList(Map<String,Element> l)